Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226333 - Merge Review: pygtk2
Summary: Merge Review: pygtk2
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:45 UTC by Nobody's working on this, feel free to take it
Modified: 2010-03-18 11:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-07 09:23:22 UTC
tla: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:45:14 UTC
Fedora Merge Review: pygtk2

http://cvs.fedora.redhat.com/viewcvs/devel/pygtk2/
Initial Owner: mbarnes@redhat.com

Comment 1 Roozbeh Pournader 2007-02-05 14:39:51 UTC
BLOCKER: spec filename is not %{name}.spec

From the review guidelines:
  MUST: The spec file name must match the base package %{name}, in the format
  %{name}.spec


Comment 2 Matthew Barnes 2007-02-05 15:51:48 UTC
Fixed in pygtk2-2.10.3-8.fc7.

Comment 3 Matthias Clasen 2007-08-31 17:38:18 UTC
Stalled review

Comment 4 Tim Lauridsen 2008-02-06 13:20:38 UTC
I will revies this one

Comment 5 Tim Lauridsen 2008-02-06 13:40:15 UTC
Source: should be 
http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.12/pygtk-%{version}.tar.bz2

to make it easier to see where the upstream source comes from.



Comment 6 Tim Lauridsen 2008-02-06 14:05:02 UTC
MUST:
* Package is matching naming guidelines.
* spec file in named %{name}.spec 
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible have the right good license shortname : LGPLv2+
* License file must be in %doc (it it exists)
* Spec file is written in American English
* Spec file is legible.
* Sources match upstream.
  MD5SUM:
  a816346d750d61e3fa67a200e4292694 
http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.12/pygtk-2.12.1.tar.bz2
  a816346d750d61e3fa67a200e4292694  pygtk-2.12.1.tar.bz2

* summary and description fine
* correct buildroot
* %{?dist} is used
* license text included in package and marked with %doc
* package meets FHS (http://www.pathname.com/fhs/)
* changelog format fine 
* Packager/Vendor/Distribution/Copyright tags not used
* Summary tag does not end in a period
* Package compiles and build into RPM's on : i386 etc.
* no Exclude Arch 
* BuildRequires for all build requerements (- the ones on the Exception list)
* no locales 
* no shared libs 
* Package own all created directories.
* No duplicate files in %files 
* Every %files section includes a %defattr(...) line
* Package has a %clean with a rm -rf %{buildroot} or $RPM_BUILD_ROOT
* consistently use of macros
* Package contains code or or permissable content.
* Large documentation files goes into -doc subpackage.
* files in %doc dont affect runtime.
* header files goes into -devel subpackage
* no static libs
* package has pkgconfig (.pc) files and has a 'Requires: pkgconfig' 
* -devel subpackage has a 'Requires: %{name} = %{version}-%{release}' 
* *.la libtool archives are removed in spec (if available)
* not a gui application 
* package don't own files and dirs owned by other packages.
* %install starts with an rm -rf %{buildroot} 
* rpm package filenames is in valid UTF-8.
* no Rpath 
* no config files
* no init scripts 
* no %makeinstall used
* no Requires(pre,post)


Comment 7 Tim Lauridsen 2008-02-06 14:22:29 UTC
rpmlint output:

$ rpmlint pygtk2-2.12.1-3.fc9.i386.rpm 
pygtk2.i386: E: wrong-script-interpreter
/usr/share/doc/pygtk2-2.12.1/examples/pygtk-demo/pygtk-demo.in "@PYTHON@"
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/stock_browser.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/dnd.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/ui_manager.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/statusicon.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/images.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/buttonbox.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/sizegroup.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/hypertext.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/list_store.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/changedisplay.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/textview.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/dialogs.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/menu.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/pygtk-demo.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/tree_store.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/panes.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/expander.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/pixbufs.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/appwindow.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/editable_cells.py
0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/colorsel.py 0644
pygtk2.i386: W: file-not-utf8 /usr/share/doc/pygtk2-2.12.1/NEWS
pygtk2.i386: E: non-executable-script
/usr/lib/pygtk/2.0/demos/entry_completion.py 0644
pygtk2.i386: E: non-executable-script /usr/lib/pygtk/2.0/demos/treemodel.py 0644
pygtk2.i386: W: doc-file-dependency
/usr/share/doc/pygtk2-2.12.1/examples/ide/browse.py /usr/bin/env
pygtk2.i386: W: doc-file-dependency
/usr/share/doc/pygtk2-2.12.1/examples/ide/gtkcons.py /usr/bin/env
pygtk2.i386: W: doc-file-dependency
/usr/share/doc/pygtk2-2.12.1/examples/ide/gtkdb.py /usr/bin/env
pygtk2.i386: W: doc-file-dependency
/usr/share/doc/pygtk2-2.12.1/examples/ide/gtkprof.py /usr/bin/env
pygtk2.i386: W: doc-file-dependency
/usr/share/doc/pygtk2-2.12.1/examples/ide/pyide.py /usr/bin/env
pygtk2.i386: W: doc-file-dependency
/usr/share/doc/pygtk2-2.12.1/examples/simple/hello.py /usr/bin/env
pygtk2.i386: W: doc-file-dependency
/usr/share/doc/pygtk2-2.12.1/examples/simple/scribble.py /usr/bin/env
pygtk2.i386: W: doc-file-dependency
/usr/share/doc/pygtk2-2.12.1/examples/simple/simple.py /usr/bin/env
pygtk2.i386: W: doc-file-dependency
/usr/share/doc/pygtk2-2.12.1/examples/simple/tooltip.py /usr/bin/env

$ rpmlint pygtk2-devel-2.12.1-3.fc9.i386.rpm 
pygtk2-devel.i386: W: no-documentation

$ rpmlint pygtk2-libglade-2.12.1-3.fc9.i386.rpm 
pygtk2-libglade.i386: W: no-documentation

$ rpmlint pygtk2-doc-2.12.1-3.fc9.i386.rpm 

$ rpmlint pygtk2-2.12.1-3.fc9.src.rpm 

nothing dangerous in these messages, i think they can be ignored.

APPROVED.


Comment 8 Matthew Barnes 2008-02-06 21:42:36 UTC
Thanks Tim, fixed the Source tag in pygtk2-2.12.1-4.fc9.

I'll wait to push a new package until I have a more significant update.

Setting status to MODIFIED, please close the bug if you're satisfied.

Comment 9 Tim Lauridsen 2008-02-07 09:23:22 UTC
Fine with me closing bug.

Comment 10 Milan Crha 2010-03-18 11:55:11 UTC
With pygtk2-2.16.0-3:

I'm not sure, you create and fill %{_libdir}/pygtk, does that apply to this as well: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

This line surprised me a bit:
> %patch0 -p1
we add also a ".something" at the end of it.

Nonetheless, the above are rather questions, than issues, so the package is still good. (the new review points to the same bug, so I used it)


Note You need to log in before you can comment on or make changes to this bug.